# Generated by Django 2.2.24 on 2021-12-01 21:24

import django.contrib.gis.db.models.fields
import django.db.models.deletion
from django.contrib.postgres.operations import CreateExtension
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("dicts", "0001_initial"),
    ]

    operations = [
        CreateExtension("postgis_raster"),
        migrations.CreateModel(
            name="Elevation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                ("rast", django.contrib.gis.db.models.fields.RasterField(srid=4326)),
            ],
            options={
                "verbose_name": "Altitude",
            },
        ),
        migrations.CreateModel(
            name="Municipality",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("name", models.CharField(max_length=100, verbose_name="Nom")),
                ("code", models.CharField(max_length=5, verbose_name="Code")),
                (
                    "geom",
                    django.contrib.gis.db.models.fields.MultiPolygonField(
                        srid=4326, verbose_name="Emprise géographique"
                    ),
                ),
            ],
            options={
                "verbose_name": "Commune",
                "verbose_name_plural": "Communes",
            },
        ),
        migrations.CreateModel(
            name="Territory",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("name", models.CharField(db_index=True, max_length=100, verbose_name="Nom")),
                ("code", models.CharField(db_index=True, max_length=5, verbose_name="Code")),
                (
                    "coverage",
                    models.BooleanField(
                        db_index=True, default=False, verbose_name="Territoire couvert"
                    ),
                ),
                (
                    "geom",
                    django.contrib.gis.db.models.fields.MultiPolygonField(
                        srid=4326, verbose_name="Emprise géographique"
                    ),
                ),
            ],
            options={
                "verbose_name": "Territoire du groupe local",
                "verbose_name_plural": "Territoires des groupes locaux",
            },
        ),
        migrations.CreateModel(
            name="LandCover",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                (
                    "geom",
                    django.contrib.gis.db.models.fields.MultiPolygonField(
                        srid=4326, verbose_name="Géométries"
                    ),
                ),
                (
                    "code",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="dicts.LandCoverCLC",
                        verbose_name="Code",
                    ),
                ),
            ],
            options={
                "verbose_name": "Occupation du sol",
                "verbose_name_plural": "Occupation du sol",
            },
        ),
    ]
